- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Classes
MappableDigraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseDigraphComponent>
class lemon::concepts::MappableDigraphComponent< BAS >

This class describes the interface of mappable directed graphs. It extends BaseDigraphComponent with the standard digraph map classes, namely `NodeMap` and `ArcMap`. This concept is part of the Digraph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for MappableDigraphComponent< BAS >:
[legend]

## Classes
class | ArcMap
| Standard graph map for the arcs. More...
class | NodeMap
| Standard graph map for the nodes. More...